### Function

# FwupdPlugin version_verify_format

#### Declaration [src]

    gboolean
    fu_version_verify_format (
      const gchar* version,
      FwupdVersionFormat fmt,
      GError** error
    )

#### Description [src]

Verifies if a version matches the input format.

Available since: | 1.8.2

#### Parameters

`version` | `const gchar*`
| A string, e.g. `0x1234`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`fmt` | `FwupdVersionFormat`
| A version format.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| TRUE or FALSE.